Module java.desktop
Package javax.swing.plaf.basic

## Class BasicScrollPaneUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollPaneUI.PropertyChangeHandler

All Implemented Interfaces:
  PropertyChangeListener, EventListener

Enclosing class:
  BasicScrollPaneUI

    public class BasicScrollPaneUI.PropertyChangeHandler
    extends Object
    implements PropertyChangeListener

Property change handler.

### Constructor Summary

Constructors
Constructor and Description
`PropertyChangeHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyChangeHandler

    public PropertyChangeHandler()

### Method Detail

#### propertyChange

    public void propertyChange(PropertyChangeEvent e)

This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.